import com.itextpdf.text.Document;
import com.itextpdf.text.Paragraph;
import com.itextpdf.text.pdf.PdfReader;
import com.itextpdf.text.pdf.PdfWriter;
import com.itextpdf.text.pdf.parser.PdfTextExtractor;

import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.OutputStream;

public class Main{
    public static void main(String[] args) {
//        try {
//            PdfReader reader = new PdfReader("test.pdf");
//            int pages = reader.getNumberOfPages();
//            for (int i=1; i<=pages; i++) {
//                String pageContent = PdfTextExtractor.getTextFromPage(reader, i);
//                System.out.println("Content on Page " + i + ": " + pageContent);
//            }
//        } catch (IOException e) {
//            e.printStackTrace();
//        }
                try {
                    //Create Document instance.
                    Document document = new Document();

                    //Create OutputStream instance.
                    OutputStream outputStream =
                            new FileOutputStream(new File("TestFile.pdf"));

                    //Create PDFWriter instance.
                    PdfWriter.getInstance(document, outputStream);

                    //Open the document.
                    document.open();

                    //Add content to the document.
                    document.add(new Paragraph("Hello world, " +
                            "this is a test pdf file."));

                    //Close document and outputStream.
                    document.close();
                    outputStream.close();

                    System.out.println("Pdf created successfully.");
                } catch (Exception e) {
                    e.printStackTrace();
                }
            }
}